Summary:	Tool to check and undelete partition, PhotoRec recovers lost files
Summary(pl.UTF8):	Narzędzie sprawdzające i odzyskujące partycje
Summary(fr.UTF8):	Outil pour vérifier et restorer des partitions
Summary(ru_RU.UTF8): Программа для проверки и восстановления разделов диска
Name:		testdisk
Version:	6.11
Release:	6%{?dist}
License:	GPLv2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/testdisk-%{version}.tar.bz2
Source1:	http://www.cgsecurity.org/testdisk-doc-%{version}.tar.bz2
Patch0:		http://www.cgsecurity.org/photorec_611_exif_bound_checking_v2.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	e2fsprogs-devel
BuildRequires:	libjpeg-devel
%ifnarch ppc ppc64
# See https://bugzilla.redhat.com/show_bug.cgi?id=407151
BuildRequires:	ntfsprogs-devel
%endif
BuildRequires:	libewf-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	libuuid-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Tool to check and undelete partition. Works with FAT12, FAT16, FAT32,
NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid, Linux Swap,
LVM, LVM2, NSS, ReiserFS, UFS, XFS
PhotoRec is a signature based file recovery utility. It handles more than
100 file formats including jpg, MSOffice, OpenOffice documents.

%description -l pl.UTF8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

%description -l fr.UTF8
TestDisk vérifie et récupère les partitions. Fonctionne avec
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS
PhotoRec gère plus d'une centaine de formats de fichiers dont les jpeg, les documents
MSOffice ou OpenOffice.

%description -l ru_RU.UTF8
Программа для проверки и восстановления разделов диска.
Поддерживает следующие типы разделов:
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

%package doc
Summary:	TestDisk & PhotoRec documentation
Group:		Documentation
Requires:	testdisk = %{version}-%{release}

%description doc
Tool to check and undelete partition. Works with FAT12, FAT16, FAT32,
NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid, Linux Swap,
LVM, LVM2, NSS, ReiserFS, UFS, XFS

This package contains testdisk & photorec documentation.

%description doc -l pl.UTF8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

This package contains testdisk & photorec documentation.

%description doc -l fr.UTF8
Outil pour vérifier et restorer des partitions. Fonctionne avec
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

Ce paquet contient la documentation de testdisk & photorec.

%description doc -l ru_RU.UTF8
Программа для проверки и восстановления разделов диска.
Поддерживает следующие типы разделов:
FAT12, FAT16, FAT32, NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid,
Linux Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS

This package contains testdisk & photorec documentation.

%prep
%setup -q
%setup -q -a 1
%patch0 -p1

%build
%configure
make %{?_smp_mflags}
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%attr(755,root,root) %{_sbindir}/testdisk
%attr(755,root,root) %{_sbindir}/photorec
%{_mandir}/man1/testdisk.1*
%{_mandir}/man1/photorec.1*

%files doc
%defattr(644,root,root,755)
%doc doc

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 6.11-6
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-4
- Add "BuildRequires:  libuuid-devel"

* Wed May  6 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-3
- Use upstream patch v2

* Fri Apr 24 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-2
- Add upstream patch that add missing bound checks when parsing EXIF information

* Sun Apr 19 2009 Christophe Grenier <grenier@cgsecurity.org> 6.11-1
- Update to latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 31 2008 Christophe Grenier <grenier@cgsecurity.org> 6.10-1
- Update to latest version

* Wed Mar 19 2008 Christophe Grenier <grenier@cgsecurity.org> 6.9-2
- Fix for new API in libewf > 20070512

* Wed Feb 13 2008 Christophe Grenier <grenier@cgsecurity.org> 6.9-1
- Update to latest version

* Mon Dec 10 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-6
- Don't disable libewf during compilation

* Mon Dec  3 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-5
- Don't require ntfsprogs-devel on ppc and ppc64

* Mon Dec  3 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-4
- Rename TestDisk list functions to avoid conflict with latest ntfsprogs-devel 2.0.0

* Sun Dec  2 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-3
- Use libewf for support of the Expert Witness Compression Format (EWF)

* Thu Aug 16 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-2
- Fix the license in the spec file

* Tue Aug 14 2007 Christophe Grenier <grenier@cgsecurity.org> 6.8-1
- Update to latest version

* Fri Jun 29 2007 Christophe Grenier <grenier@cgsecurity.org> 6.7-1
- Update to latest version

* Sun Feb 18 2007 Christophe Grenier <grenier@cgsecurity.org> 6.6-1
- Update to latest version

* Mon Feb 5 2007 Christophe Grenier <grenier@cgsecurity.org> 6.5-3
- Fix russian description in spec file

* Tue Nov 26 2006 Christophe Grenier <grenier@cgsecurity.org> 6.5-2
- Use ntfsprogs to provide NTFS listing capabilities to TestDisk

* Tue Oct 24 2006 Christophe Grenier <grenier@cgsecurity.org> 6.5-1
- Update to latest version

* Mon Aug 28 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-3
- Rebuild for Fedora Extras 6

* Wed Jun 21 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-2
- FC3 and FC4 has a release of 2, need to align

* Wed Jun 21 2006 Christophe Grenier <grenier@cgsecurity.org> 6.4-1
- Update to latest version

* Mon Mar  6 2006 Christophe Grenier <grenier@cgsecurity.org> 6.3-1
- Update to latest version

* Tue Feb 28 2006 ChangeLog Grenier <grenier@cgsecurity.org> 6.2-4
- Rebuild for Fedora Extras 5

* Mon Jan 23 2006 Christophe Grenier <grenier@cgsecurity.org> 6.2-3
- same spec for all arches hence add dist

* Sun Jan 4 2004 Christophe Grenier <grenier@cgsecurity.org> 5.0
- 5.0

* Wed Oct 1 2003 Christophe Grenier <grenier@cgsecurity.org> 4.5
- 4.5

* Wed Apr 23 2003 Christophe Grenier <grenier@cgsecurity.org> 4.4-2

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <pascal.terjan@free.fr>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
